Subject: Re: [PATCH 10/12] forcedeth: tx max work

From: Ayaz Abdulla <[email-masked]>
Date: Fri, 19 Jan 2007 11:27:02 -0500

Jeff Garzik wrote:
> Ayaz Abdulla wrote:
>  > This patch adds a limit to how much tx work can be done in each
>  > iteration of tx processing.
>  >
>  > Signed-Off-By: Ayaz Abdulla <[email-masked]>
> 
> What about the "tail end" of the work, when the limit is reached?
> 
> Remember that delaying the completion of TX's too long increases latency.
> 
> It seems to me that this patch needs a timer or somesuch, to guarantee
> that TX completions are not delayed too long in the worst case.

Yes, you are right.
There is a timer interrupt that fires in throughput mode every 10ms (in 
cpu mode it fires at approx every 130us). I can use that to clean out 
any uncompleted TXs. Let me know if 10ms is not too late for worst case 
tx completion.

>         Jeff